For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • GETGet Hourly Rates
      • POSTCreate Hourly Rate
      • PUTUpdate Hourly Rate Value
      • GETGet Hourly Rate
      • DELDelete Hourly Rate
LogoLogo
SupportContact salesStart free trial
API ReferenceHourly Rate

Get Hourly Rate

GET
https://api.projectmanager.com/api/data/hourly-rates/:rateId
GET
/api/data/hourly-rates/:rateId
$curl https://api.projectmanager.com/api/data/hourly-rates/rateId \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "createBy": "string",
16 "createDate": "2024-01-15T09:30:00Z",
17 "modifyBy": "string",
18 "modifyDate": "2024-01-15T09:30:00Z",
19 "rateType": "string",
20 "projectId": "string",
21 "project": {
22 "id": "string",
23 "shortId": "string",
24 "name": "string"
25 },
26 "resourceId": "string",
27 "resource": {
28 "id": "string",
29 "initials": "string",
30 "firstName": "string",
31 "lastName": "string",
32 "email": "string"
33 },
34 "skillId": "string",
35 "skill": {
36 "id": "string",
37 "name": "string",
38 "inUse": true
39 },
40 "values": [
41 {
42 "id": "string",
43 "createBy": "string",
44 "createDate": "2024-01-15T09:30:00Z",
45 "modifyBy": "string",
46 "modifyDate": "2024-01-15T09:30:00Z",
47 "hourlyRateDefinitionId": "string",
48 "hourlyRatePeriodId": "string",
49 "periodStartDate": "2024-01-15T09:30:00Z",
50 "periodFinishDate": "2024-01-15T09:30:00Z",
51 "value": 1.1
52 }
53 ],
54 "taskCount": 1,
55 "resourceCount": 1,
56 "hourlyRateTimesheetCount": 1
57 }
58}
Get Hourly Rate
Was this page helpful?
Previous

Delete Hourly Rate

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

rateIdstringRequiredformat: "uuid"
The unique identifier for the rate

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
Detailed information about a specific hourly rate, including task and resource counts.